/* (PART A) GALLERY CONTAINER */
/* https://devncoffee.com/simple-image-gallery-html-css/ */

.gallery {
  /* (A1) GRID LAYOUT - 3 PER ROW */
  display: grid;
  grid-template-columns: repeat(5, minmax(0, 1fr)); /* PER ROW */

  /* (A2) OPTIONAL */
  grid-gap: 10px;
  max-width: 500px; /* image size and max width*/
  padding: 10px; margin: 0 auto;
  overflow: hidden;
}

/* (PART B) IMAGES */
.gallery > img {
  width: 100%; object-fit: cover;
  aspect-ratio: 1/1;
  
  /*transition: all 0.3s;*/
}

/* (PART C) SMALL SCREENS - 2 PER ROW */
@media screen and (max-width:640px) {
  .gallery {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

/* (PART D) ENLARGE ON MOUSE HOVER */
.gallery > img:hover:not(.full) {
  cursor:pointer;
  
  /*transform: scale(1.02);*/
}

/* (PART E) SHOW SELECTED IMAGE IN FULLSCREEN */
.gallery > img.full {
  position: fixed; top: 0; left: 0; z-index: 999;
  width: 100vw; height: 100vh;
  object-fit: scale-down;
  background: rgba(1, 1, 1, 1);
}

/* (PART X) NOT REALLY IMPORTANT */
* {
  /* box-sizing: border-box; */
}